%funcion ObtenerAceleracionesAcotadas.m

function a_robots = ObtenerAceleracionesAcotadas (dim, a_robots, Amaxima)
%Limitacion de la aceleracion de cada robots en todas sus componentes a
%la aceleracion maxima que se permite que experimenten: si se pasa
%alguna componente del robot robot, se limita esa a Amaxina, y el
%resto de componentes del robot vector se reducen de modo lineal.

for i=1:size(a_robots)/dim
    indice = dim*(i-1); %Desplazamiento en el vector col. de acelaraciones.
    maximo = max(abs(a_robots(indice+1:indice+dim))); %De cada robot.
    %Si se pasa alguna componente de este robot, se limita a Amaxina,
    %y el resto de componentes de este robot se reducen de modo lineal.
    if maximo>Amaxima            
         a_robots(indice+1:indice+dim) = ...
                      a_robots(indice+1:indice+dim)*(Amaxima/maximo);
    end
end