%%%%%%%% tipoNudos = 1, 2, 3 (uniforme, chord-length, centripeta) Los dos
%%%%%%%% ultimos son no uniformes
%%%%%%%% datos : corresponden a las posiciones de los robots
%%%%%%%% a: parametros opcional (existir o no) para curvas que utilicen
%%%%%%%% nudos no uniformes (curva centripeta)

function bsp = creacionBspline(tipoNudos, datos, a)
%%%%% bspline: bsp
%%%%% n+1 puntos de control
%%%%% m+1 nudos
if nargin == 2,
    a = 1;
end
nd = size (datos, 1);
switch tipoNudos
    case 1,  %%% uniforme
        nudos = nudos_Uniforme(nd+1);
    case 2,  %%% Chord Length
        nudos = nudos_ChordLength(datos);
    case 3,  %%% Centripeta
        nudos = nudos_Centripeta(datos, a);
    otherwise,
        disp('Error: Tipo de Nudos desconocido');
end
bsp.n = nd+1;
bsp.m = nd+5;
bsp.nudos = nudos;
bsp.nCoordenadas = size(datos, 2);

alfa = []; beta = []; gamma = [];
alfa (1) = 0; beta (1) = 1; gamma (1) = 0;
for i = 2:nd-1,
   [a b c] = calcula_abc (nudos, i);
   alfa(i) = a; beta(i) = b; gamma(i) = c;
end
alfa (nd) = 0; beta (nd) = 1; gamma (nd) = 0;

[lambda, delta] = forward(alfa, beta, gamma, datos, nd);
x = backward (lambda, delta, nd);
pc(1, :)    = x(1, :);
pc(2, :)    = x(1, :);
pc(3:nd, :) = x(2:nd-1,:);
pc(nd+1, :) = x(nd, :);
pc(nd+2, :) = x(nd, :);

bsp.ptosControl = pc;
bsp.minX = min(pc(:, 1));
bsp.maxX = max(pc(:, 1));
bsp.minY = min(pc(:, 2));
bsp.maxY = max(pc(:, 2));