%param_ubicacion_inicial.m
%*************************************************************

%Verificaciones sobre la coherencia de los datos introducidos:

%Verificacion 1:
%%%%%%%%%%%%%%%%
%El numero de segmentos debe ser igual al (numero de robots -1)
%nRobots = size(robots_reposo,1);
%nSegmentos = size(segmentos_reposo,1);
if size(segmentos_inicial,1) ~= size(robots_inicial,1)-1
  strcat('Error en ''param_ubicacion_inicial.m'': el numero de ',...
         ' segmentos debe ser igual a (numero de robots - 1).')
end

%Verificacion 2:
%%%%%%%%%%%%%%%%
%El numero de robots de 'robots_inicial' y 'u_robots' debe ser el mismo.
if size(robots_inicial, 1) ~= size (u_robots,2)
  strcat('Error en ''param_ubicacion_inicial.m'': el numero de ',...
         ' robots de robots_inicial debe ser igual al de u_robots.')
end

%Verificacion 3:
%%%%%%%%%%%%%%%%
%'robots_inicial' debe coincidir en tamanyo con 'robots_reposo'. 
if size(robots_inicial,1)~= size(robots_reposo,1) || ...
   size(robots_inicial,2)~= size(robots_reposo,2)
  strcat('Error en ''param_ubicacion_inicial.m'': el numero de ',...
         ' elementos de robots y robots_reposo debe ser igual.')
end

%Verificacion 4:
%%%%%%%%%%%%%%%%
%'segmentos_inicial' debe coincidir en tamanyo con 'segmentos_reposo'. 
if size(segmentos_inicial,1)~= size(segmentos_reposo,1) || ...
   size(segmentos_inicial,2)~= size(segmentos_reposo,2)
  strcat('Error en ''param_ubicacion_inicial.m'': el numero de ',...
         ' elementos de segmentos y segmentos_reposo debe ser igual.')
end
